## org.apache.lucene.util.fst
Class Util.MinResult<T>

    java.lang.Object
      org.apache.lucene.util.fst.Util.MinResult<T>

All Implemented Interfaces:
  Comparable<Util.MinResult<T>>

Enclosing class:
  Util

    public static final class Util.MinResult<T>

extends Object
implements Comparable<Util.MinResult<T>>

Holds a single input (IntsRef) + output, returned by `Util.shortestPaths(org.apache.lucene.util.fst.FST<T>, org.apache.lucene.util.fst.FST.Arc<T>, java.util.Comparator<T>, int)`.

Field Summary
`IntsRef` `input`
`T` `output`

Constructor Summary
`Util.MinResult(IntsRef input, T output, Comparator<T> comparator)`

Method Summary
`int` `compareTo(Util.MinResult<T> other)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    public final IntsRef input

### output

    public final T output

Constructor Detail

### Util.MinResult

    public Util.MinResult(IntsRef input,
                          T output,
                          Comparator<T> comparator)

Method Detail

### compareTo

    public int compareTo(Util.MinResult<T> other)

  Specified by:
    `compareTo` in interface `Comparable<Util.MinResult<T>>`